#
# Default Bacula Storage Daemon Configuration file
#
#  For Bacula release 1.36.1 (24 November 2004) -- suse 9.0
#
# You may need to change the name of your tape drive
#   on the "Archive Device" directive in the Device
#   resource.  If you change the Name and/or the 
#   "Media Type" in the Device resource, please ensure
#   that dird.conf has corresponding changes.
#

Storage {                             # definition of myself
  Name = xman-sd
  SDPort = 9103                  # Director's port      
  WorkingDirectory = "/var/bacula"
  Pid Directory = "/var/run"
  Maximum Concurrent Jobs = 20
}

#
# List Directors who are permitted to contact Storage daemon
#
Director {
  Name = xman-dir
  Password = "XgUM8GSIWk/weA7rhJJpJKWIa5f8IAArgI0MRBa7iTPj"
}

#
# Restricted Director, used by tray-monitor to get the
#   status of the storage daemon
#
Director {
  Name = xman-mon
  Password = "DJ35htMlFxe8XxIUNFLcSeCyls2sUg3McZ8l5cBg+Mch"
  Monitor = yes
}

#
# Devices supported by this Storage daemon
# To connect, the Director's bacula-dir.conf must have the
#  same Name and MediaType. 
#

Device {
  Name = FileStorage
  Media Type = File
  Archive Device = /tmp
  LabelMedia = yes;                   # lets Bacula label unlabeled media
  Random Access = Yes;
  AutomaticMount = yes;               # when device opened, read it
  RemovableMedia = no;
  AlwaysOpen = no;
}

#
# A Linux or Solaris tape drive
#
Device {
  Name = HP C5685                     #
  Media Type = DDS-4
  Archive Device = /dev/nst0
  AutomaticMount = yes;               # when device opened, read it
  AlwaysOpen = yes;
  RemovableMedia = yes;
  RandomAccess = no;
# Changer Command = "/etc/bacula/mtx-changer %c %o %S %a %d"
# Changer Device = /dev/sg4
# AutoChanger = yes
# Alert Command = "sh -c 'tapeinfo -f %c |grep TapeAlert|cat'"
}


#
# Send all messages to the Director,
# mount messages also are sent to the email address
#
Messages {
  Name = Standard
  director = xman-dir = all
}
